#38 LCDd suddenly starts flooding syslog, driver imon

major
closed-wont-fix
server (16)
5
2015-01-07
2011-04-30
lkraav
No

I am running LCDd and lcdproc with xbmc. At one point, for which I cannot identify a pattern yet, LCDd starts flooding kernel with messages at an extremely high rate:

Apr 28 19:05:56 LCDd: error: huh? Could not parse command
Apr 28 19:05:56 LCDd: error: huh? Could not parse command
Apr 28 19:05:56 LCDd: error: huh? Could not parse command
Apr 28 19:05:56 LCDd: error: huh? Invalid command "^O"
Apr 28 19:05:56 LCDd: Invalid command from client on socket 6: ^O
Apr 28 19:05:56 LCDd: error: huh? Could not parse command
Apr 28 19:05:57 LCDd: error: huh? Could not parse command
Apr 28 19:05:57 LCDd: error: huh? Could not parse command
Apr 28 19:05:57 LCDd: error: huh? Could not parse command
Apr 28 19:05:57 LCDd: error: huh? Invalid command "^O"
Apr 28 19:05:57 LCDd: Invalid command from client on socket 6: ^O
Apr 28 19:05:57 LCDd: error: huh? Invalid command "."
Apr 28 19:05:57 LCDd: Invalid command from client on socket 6: .
Apr 28 19:05:57 LCDd: error: huh? Could not parse command
Apr 28 19:05:59 LCDd: error: huh? Could not parse command
Apr 28 19:05:59 LCDd: error: huh? Could not parse command
Apr 28 19:05:59 LCDd: error: huh? Could not parse command
Apr 28 19:05:59 LCDd: error: huh? Invalid command "^O"
Apr 28 19:05:59 LCDd: Invalid command from client on socket 6: ^O
Apr 28 19:05:59 LCDd: error: huh? Invalid command "."
Apr 28 19:05:59 LCDd: Invalid command from client on socket 6: .
Apr 28 19:05:59 LCDd: error: huh? Could not parse command

You can imagine the fun if this cannot be attended to for hours.

Different commands include:

Apr 28 19:06:00 LCDd: error: huh? Invalid command "^O^L"
Apr 28 19:06:04 LCDd: error: huh? Invalid command ".^K^N^K^H.^K^N"

and several other combinations of this.

This has happened since at least 0.5.2 on, I'm currently running 0.5.4. I cannot correlate with XBMC version changes, since I didn't manage to keep notes on this.

Advice welcome how to debug this further.

Discussion

  • Markus Dolze

    Markus Dolze - 2011-05-16

    LCDd logs these errors because it cannot successfully parse the commands send by XMBC. It is not related to the driver (imon) you are using. XMBC does not seem to check for errors returned by LCDd so it keeps sending commands LCDd does not understand and LCDd will log those messages.

    Question is why XMBC sends commands LCDd does not understand. What system locale do you use? LCDd does not understand UTF-8 or Unicode.

    I will forward your problem to the mailing list as well.

     
  • Markus Dolze

    Markus Dolze - 2011-05-16
    • assigned_to: nobody --> mmdolze
     
  • lkraav

    lkraav - 2011-05-16

    thanks for the reply. there have been similar conclusions on the xbmc tracker as well.

    http://trac.xbmc.org/ticket/8981 perhaps you could take a look and provide a couple of pointers.

     
  • lkraav

    lkraav - 2012-07-01

    lcdproc 0.5.5 and xbmc 11.0 have been completely stable for almost two months. this can probably be closed.

     
  • Markus Dolze

    Markus Dolze - 2012-07-23
    • status: open --> closed-wont-fix
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks